DROP TABLE CRST_CE_STMT_LINES_INTERFACE;

CREATE TABLE CRST_CE_STMT_LINES_INTERFACE
(
  BANK_ACCOUNT_NUM         VARCHAR2(30)         NOT NULL,
  STATEMENT_NUMBER         VARCHAR2(50)         NOT NULL,
  LINE_NUMBER              NUMBER(15)           NOT NULL,
  TRX_DATE                 DATE                 NOT NULL,
  TRX_CODE                 VARCHAR2(30),
  EFFECTIVE_DATE           DATE,
  TRX_TEXT                 VARCHAR2(255),
  INVOICE_TEXT             VARCHAR2(30),
  BANK_ACCOUNT_TEXT        VARCHAR2(30),
  AMOUNT                   NUMBER,
  CURRENCY_CODE            VARCHAR2(15),
  USER_EXCHANGE_RATE_TYPE  VARCHAR2(30),
  EXCHANGE_RATE_DATE       DATE,
  EXCHANGE_RATE            NUMBER,
  ORIGINAL_AMOUNT          NUMBER,
  CHARGES_AMOUNT           NUMBER,
  BANK_TRX_NUMBER          VARCHAR2(240),
  CUSTOMER_TEXT            VARCHAR2(80),
  CREATED_BY               NUMBER(15),
  CREATION_DATE            DATE,
  LAST_UPDATED_BY          NUMBER(15),
  LAST_UPDATE_DATE         DATE,
  ATTRIBUTE_CATEGORY       VARCHAR2(30),
  ATTRIBUTE1               VARCHAR2(150),
  ATTRIBUTE2               VARCHAR2(150),
  ATTRIBUTE3               VARCHAR2(150),
  ATTRIBUTE4               VARCHAR2(150),
  ATTRIBUTE5               VARCHAR2(150),
  ATTRIBUTE6               VARCHAR2(150),
  ATTRIBUTE7               VARCHAR2(150),
  ATTRIBUTE8               VARCHAR2(150),
  ATTRIBUTE9               VARCHAR2(150),
  ATTRIBUTE10              VARCHAR2(150),
  ATTRIBUTE11              VARCHAR2(150),
  ATTRIBUTE12              VARCHAR2(150),
  ATTRIBUTE13              VARCHAR2(150),
  ATTRIBUTE14              VARCHAR2(150),
  ATTRIBUTE15              VARCHAR2(150)
);
